<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
    <meta charset="utf-8"/>
    <title> &raquo;\PhpOffice\PhpSpreadsheet\Calculation</title>
    <meta name="author" content=""/>
    <meta name="description" content=""/>        <link href="../css/template.css" rel="stylesheet" media="all"/>        <!--[if lt IE 9]>
        <script src="https://html5shim.googlecode.com/svn/trunk/html5.js" type="text/javascript"></script>
        <![endif]-->
        <script src="../js/jquery-1.7.1.min.js" type="text/javascript"></script>
        <script src="../js/jquery-ui-1.8.2.custom.min.js" type="text/javascript"></script>
        <script src="../js/jquery.mousewheel.min.js" type="text/javascript"></script>
        <script src="../js/bootstrap.js" type="text/javascript"></script>
        <script src="../js/template.js" type="text/javascript"></script>
        <script src="../js/prettify/prettify.min.js" type="text/javascript"></script>        <link rel="shortcut icon" href="../img/favicon.ico"/>
        <link rel="apple-touch-icon" href="../img/apple-touch-icon.png"/>
        <link rel="apple-touch-icon" sizes="72x72" href="../img/apple-touch-icon-72x72.png"/>
        <link rel="apple-touch-icon" sizes="114x114" href="../img/apple-touch-icon-114x114.png"/></head>
<body>    <div class="navbar navbar-fixed-top">
        <div class="navbar-inner">
            <div class="container">
                <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                    <span class="icon-bar"></span> <span class="icon-bar"></span>
                    <span class="icon-bar"></span> </a>
                <a class="brand" href="../index.html">API Documentation</a>

                <div class="nav-collapse">
                    <ul class="nav">
                        <li class="dropdown">
                            <a href="#api" class="dropdown-toggle" data-toggle="dropdown">
                                API Documentation <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">                                    <li><a>Namespaces</a></li>                                    <li><a href="../namespaces/task_23.html">task_23</a></li>                                    <li><a href="../namespaces/task_18.html">task_18</a></li>                                    <li><a href="../namespaces/task_22.html">task_22</a></li>                                    <li><a href="../namespaces/Composer.html">Composer</a></li>                                    <li><a href="../namespaces/Matrix.html">Matrix</a></li>                                    <li><a href="../namespaces/Complex.html">Complex</a></li>                                    <li><a href="../namespaces/Psr.html">Psr</a></li>                                    <li><a href="../namespaces/PhpOffice.html">PhpOffice</a></li>                                    <li><a href="../namespaces/Samples.html">Samples</a></li>                                    <li><a href="../namespaces/task_21.html">task_21</a></li>                                    <li><a href="../namespaces/task_24.html">task_24</a></li>                                    <li><a href="../namespaces/task_20.html">task_20</a></li>                                    <li><a href="../namespaces/task_17.html">task_17</a></li>                                    <li><a href="../namespaces/task_19.html">task_19</a></li>                            </ul>
                        </li>
                        <li class="dropdown" id="charts-menu">
                            <a href="#charts" class="dropdown-toggle" data-toggle="dropdown">
                                Charts <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../graph_class.html">
                                        <i class="icon-list-alt"></i>&#160;Class hierarchy diagram
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="dropdown" id="reports-menu">
                            <a href="#reports" class="dropdown-toggle" data-toggle="dropdown">
                                Reports <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../errors.html">
                                        <i class="icon-list-alt"></i>&#160;Errors
                                    </a>
                                </li>
                                <li>
                                    <a href="../markers.html">
                                        <i class="icon-list-alt"></i>&#160;Markers
                                    </a>
                                </li>
                                <li>
                                    <a href="../deprecated.html">
                                        <i class="icon-list-alt"></i>&#160;Deprecated
                                    </a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="go_to_top">
            <a href="#___" style="color: inherit">Back to top&#160;&#160;<i class="icon-upload icon-white"></i></a>
        </div>
    </div>
    <div id="___" class="container">
        <noscript>
            <div class="alert alert-warning">
                Javascript is disabled; several features are only available if Javascript is enabled.
            </div>
        </noscript>
    <div class="row">

        <div class="span4">
            <div class="btn-group view pull-right" data-toggle="buttons-radio">
                <button class="btn details" title="Show descriptions and method names">
                    <i class="icon-list"></i></button><button class="btn simple" title="Show only method names">
                    <i class="icon-align-justify"></i>
                </button>
            </div>
            <ul class="side-nav nav nav-list">
                <li class="nav-header">
                    <i class="icon-map-marker"></i> Namespaces
                </li>
                <a href="../namespaces/PhpOffice.PhpSpreadsheet.Calculation.html" title="Calculation">
                    <i class="icon-th"></i>Calculation
                </a>
                <ul class="nav nav-list nav-namespaces">    <li>
        <a href="../namespaces/PhpOffice.PhpSpreadsheet.Calculation.Engine.html" title="Engine">
            <i class="icon-th"></i>Engine
        </a>
        <ul class="nav nav-list nav-namespaces">
        </ul>
    </li>    <li>
        <a href="../namespaces/PhpOffice.PhpSpreadsheet.Calculation.Token.html" title="Token">
            <i class="icon-th"></i>Token
        </a>
        <ul class="nav nav-list nav-namespaces">
        </ul>
    </li>
                </ul>
            </ul>
        </div>

        <div class="span8 namespace-contents">
        <ul class="breadcrumb">
            <li><a href="../index.html"><i class="icon-th"></i></a></li>
    <li>
        <span class="divider">\</span><a href="../namespaces/PhpOffice.html">PhpOffice</a>
    </li>
    <li>
        <span class="divider">\</span><a href="../namespaces/PhpOffice.PhpSpreadsheet.html">PhpSpreadsheet</a>
    </li>
    <li>
        <span class="divider">\</span><a href="../namespaces/PhpOffice.PhpSpreadsheet.Calculation.html">Calculation</a>
    </li>
        </ul>            <div class="namespace-indent">
                <h3><i class="icon-custom icon-class"></i> Classes, interfaces and traits</h3>    <div id="class_Category" class="element ajax clickableclass" data-toggle="collapse" data-target="#class_Category .collapse">
        <h1>Category<a href="../classes/PhpOffice.PhpSpreadsheet.Calculation.Category.html">¶</a></h1>
        <p class="short_description"></p>
        <div class="details collapse">        </div><a href="../classes/PhpOffice.PhpSpreadsheet.Calculation.Category.html" class="more">« More »</a>    </div>    <div id="class_Database" class="element ajax clickableclass" data-toggle="collapse" data-target="#class_Database .collapse">
        <h1>Database<a href="../classes/PhpOffice.PhpSpreadsheet.Calculation.Database.html">¶</a></h1>
        <p class="short_description"></p>
        <div class="details collapse">        </div><a href="../classes/PhpOffice.PhpSpreadsheet.Calculation.Database.html" class="more">« More »</a>    </div>    <div id="class_DateTime" class="element ajax clickableclass" data-toggle="collapse" data-target="#class_DateTime .collapse">
        <h1>DateTime<a href="../classes/PhpOffice.PhpSpreadsheet.Calculation.DateTime.html">¶</a></h1>
        <p class="short_description"></p>
        <div class="details collapse">        </div><a href="../classes/PhpOffice.PhpSpreadsheet.Calculation.DateTime.html" class="more">« More »</a>    </div>    <div id="class_Engineering" class="element ajax clickableclass" data-toggle="collapse" data-target="#class_Engineering .collapse">
        <h1>Engineering<a href="../classes/PhpOffice.PhpSpreadsheet.Calculation.Engineering.html">¶</a></h1>
        <p class="short_description"></p>
        <div class="details collapse">        </div><a href="../classes/PhpOffice.PhpSpreadsheet.Calculation.Engineering.html" class="more">« More »</a>    </div>    <div id="class_Exception" class="element ajax clickableclass" data-toggle="collapse" data-target="#class_Exception .collapse">
        <h1>Exception<a href="../classes/PhpOffice.PhpSpreadsheet.Calculation.Exception.html">¶</a></h1>
        <p class="short_description"></p>
        <div class="details collapse">        </div><a href="../classes/PhpOffice.PhpSpreadsheet.Calculation.Exception.html" class="more">« More »</a>    </div>    <div id="class_ExceptionHandler" class="element ajax clickableclass" data-toggle="collapse" data-target="#class_ExceptionHandler .collapse">
        <h1>ExceptionHandler<a href="../classes/PhpOffice.PhpSpreadsheet.Calculation.ExceptionHandler.html">¶</a></h1>
        <p class="short_description"></p>
        <div class="details collapse">        </div><a href="../classes/PhpOffice.PhpSpreadsheet.Calculation.ExceptionHandler.html" class="more">« More »</a>    </div>    <div id="class_Financial" class="element ajax clickableclass" data-toggle="collapse" data-target="#class_Financial .collapse">
        <h1>Financial<a href="../classes/PhpOffice.PhpSpreadsheet.Calculation.Financial.html">¶</a></h1>
        <p class="short_description"></p>
        <div class="details collapse">        </div><a href="../classes/PhpOffice.PhpSpreadsheet.Calculation.Financial.html" class="more">« More »</a>    </div>    <div id="class_FormulaParser" class="element ajax clickableclass" data-toggle="collapse" data-target="#class_FormulaParser .collapse">
        <h1>FormulaParser<a href="../classes/PhpOffice.PhpSpreadsheet.Calculation.FormulaParser.html">¶</a></h1>
        <p class="short_description">PARTLY BASED ON:
Copyright (c) 2007 E. W. Bachtal, Inc.</p>
        <div class="details collapse"><p>Permission is hereby granted, free of charge, to any person obtaining a copy of this software
and associated documentation files (the &quot;Software&quot;), to deal in the Software without restriction,
including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense,
and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so,
subject to the following conditions:</p>
<p>The above copyright notice and this permission notice shall be included in all copies or substantial
portions of the Software.</p>
<p>The software is provided &quot;as is&quot;, without warranty of any kind, express or implied, including but not
limited to the warranties of merchantability, fitness for a particular purpose and noninfringement. In
no event shall the authors or copyright holders be liable for any claim, damages or other liability,
whether in an action of contract, tort or otherwise, arising from, out of or in connection with the
software or the use or other dealings in the software.</p>
<p><a href="https://ewbi.blogs.com/develops/2007/03/excel_formula_p.html">https://ewbi.blogs.com/develops/2007/03/excel_formula_p.html</a>
<a href="https://ewbi.blogs.com/develops/2004/12/excel_formula_p.html">https://ewbi.blogs.com/develops/2004/12/excel_formula_p.html</a></p>        </div><a href="../classes/PhpOffice.PhpSpreadsheet.Calculation.FormulaParser.html" class="more">« More »</a>    </div>    <div id="class_FormulaToken" class="element ajax clickableclass" data-toggle="collapse" data-target="#class_FormulaToken .collapse">
        <h1>FormulaToken<a href="../classes/PhpOffice.PhpSpreadsheet.Calculation.FormulaToken.html">¶</a></h1>
        <p class="short_description">PARTLY BASED ON:
Copyright (c) 2007 E. W. Bachtal, Inc.</p>
        <div class="details collapse"><p>Permission is hereby granted, free of charge, to any person obtaining a copy of this software
and associated documentation files (the &quot;Software&quot;), to deal in the Software without restriction,
including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense,
and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so,
subject to the following conditions:</p>
<p>The above copyright notice and this permission notice shall be included in all copies or substantial
portions of the Software.</p>
<p>The software is provided &quot;as is&quot;, without warranty of any kind, express or implied, including but not
limited to the warranties of merchantability, fitness for a particular purpose and noninfringement. In
no event shall the authors or copyright holders be liable for any claim, damages or other liability,
whether in an action of contract, tort or otherwise, arising from, out of or in connection with the
software or the use or other dealings in the software.</p>
<p><a href="https://ewbi.blogs.com/develops/2007/03/excel_formula_p.html">https://ewbi.blogs.com/develops/2007/03/excel_formula_p.html</a>
<a href="https://ewbi.blogs.com/develops/2004/12/excel_formula_p.html">https://ewbi.blogs.com/develops/2004/12/excel_formula_p.html</a></p>        </div><a href="../classes/PhpOffice.PhpSpreadsheet.Calculation.FormulaToken.html" class="more">« More »</a>    </div>    <div id="class_Logical" class="element ajax clickableclass" data-toggle="collapse" data-target="#class_Logical .collapse">
        <h1>Logical<a href="../classes/PhpOffice.PhpSpreadsheet.Calculation.Logical.html">¶</a></h1>
        <p class="short_description"></p>
        <div class="details collapse">        </div><a href="../classes/PhpOffice.PhpSpreadsheet.Calculation.Logical.html" class="more">« More »</a>    </div>    <div id="class_Statistical" class="element ajax clickableclass" data-toggle="collapse" data-target="#class_Statistical .collapse">
        <h1>Statistical<a href="../classes/PhpOffice.PhpSpreadsheet.Calculation.Statistical.html">¶</a></h1>
        <p class="short_description"></p>
        <div class="details collapse">        </div><a href="../classes/PhpOffice.PhpSpreadsheet.Calculation.Statistical.html" class="more">« More »</a>    </div>    <div id="class_TextData" class="element ajax clickableclass" data-toggle="collapse" data-target="#class_TextData .collapse">
        <h1>TextData<a href="../classes/PhpOffice.PhpSpreadsheet.Calculation.TextData.html">¶</a></h1>
        <p class="short_description"></p>
        <div class="details collapse">        </div><a href="../classes/PhpOffice.PhpSpreadsheet.Calculation.TextData.html" class="more">« More »</a>    </div>            </div>
        <ul class="breadcrumb">
            <li><a href="../index.html"><i class="icon-th"></i></a></li>
    <li>
        <span class="divider">\</span><a href="../namespaces/PhpOffice.html">PhpOffice</a>
    </li>
    <li>
        <span class="divider">\</span><a href="../namespaces/PhpOffice.PhpSpreadsheet.html">PhpSpreadsheet</a>
    </li>
    <li>
        <span class="divider">\</span><a href="../namespaces/PhpOffice.PhpSpreadsheet.Calculation.html">Calculation</a>
    </li>
    <li>
        <span class="divider">\</span><a href="../namespaces/PhpOffice.PhpSpreadsheet.Calculation.Engine.html">Engine</a>
    </li>
        </ul>            <div class="namespace-indent">
                <h3><i class="icon-custom icon-class"></i> Classes, interfaces and traits</h3>    <div id="class_CyclicReferenceStack" class="element ajax clickableclass" data-toggle="collapse" data-target="#class_CyclicReferenceStack .collapse">
        <h1>CyclicReferenceStack<a href="../classes/PhpOffice.PhpSpreadsheet.Calculation.Engine.CyclicReferenceStack.html">¶</a></h1>
        <p class="short_description"></p>
        <div class="details collapse">        </div><a href="../classes/PhpOffice.PhpSpreadsheet.Calculation.Engine.CyclicReferenceStack.html" class="more">« More »</a>    </div>    <div id="class_Logger" class="element ajax clickableclass" data-toggle="collapse" data-target="#class_Logger .collapse">
        <h1>Logger<a href="../classes/PhpOffice.PhpSpreadsheet.Calculation.Engine.Logger.html">¶</a></h1>
        <p class="short_description"></p>
        <div class="details collapse">        </div><a href="../classes/PhpOffice.PhpSpreadsheet.Calculation.Engine.Logger.html" class="more">« More »</a>    </div>            </div>
        <ul class="breadcrumb">
            <li><a href="../index.html"><i class="icon-th"></i></a></li>
    <li>
        <span class="divider">\</span><a href="../namespaces/PhpOffice.html">PhpOffice</a>
    </li>
    <li>
        <span class="divider">\</span><a href="../namespaces/PhpOffice.PhpSpreadsheet.html">PhpSpreadsheet</a>
    </li>
    <li>
        <span class="divider">\</span><a href="../namespaces/PhpOffice.PhpSpreadsheet.Calculation.html">Calculation</a>
    </li>
    <li>
        <span class="divider">\</span><a href="../namespaces/PhpOffice.PhpSpreadsheet.Calculation.Token.html">Token</a>
    </li>
        </ul>            <div class="namespace-indent">
                <h3><i class="icon-custom icon-class"></i> Classes, interfaces and traits</h3>    <div id="class_Stack" class="element ajax clickableclass" data-toggle="collapse" data-target="#class_Stack .collapse">
        <h1>Stack<a href="../classes/PhpOffice.PhpSpreadsheet.Calculation.Token.Stack.html">¶</a></h1>
        <p class="short_description"></p>
        <div class="details collapse">        </div><a href="../classes/PhpOffice.PhpSpreadsheet.Calculation.Token.Stack.html" class="more">« More »</a>    </div>            </div>
        </div>
    </div>    </div>    <footer class="span12">
            Template is built using <a href="http://twitter.github.com/bootstrap/">Twitter Bootstrap 2</a> and icons provided by
            <a href="http://glyphicons.com/">Glyphicons</a>.<br/>
            Documentation is powered by <a href="http://www.phpdoc.org/">phpDocumentor</a> and<br/>
            generated onFri, 14 Feb 2020 19:36:42 +0000.<br/>
    </footer></body>
</html>
